Bug 110444 - [devel/xxgdb] Use termios.h instead of sgtty.h
Summary: [devel/xxgdb] Use termios.h instead of sgtty.h
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-17 12:40 UTC by Ed Schouten
Modified: 2007-03-21 10:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.42 KB, patch)
2007-03-17 12:40 UTC, Ed Schouten
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Schouten 2007-03-17 12:40:03 UTC
The devel/xxgdb port uses <sgtty.h> features, which require COMPAT_43 or
COMPAT_43TTY. We're better off by using <termios.h>.

Fix: Apply the patch below:
Comment 1 Martin Wilke freebsd_committer 2007-03-18 08:46:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-03-21 09:59:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2007-03-21 09:59:47 UTC
miwi        2007-03-21 09:59:15 UTC

  FreeBSD ports repository

  Modified files:
    devel/xxgdb/files    patch-ac 
  Log:
  - Use termios.h instead of sgtty.h
  
  PR:             110444
  Submitted by:   Ed Schouten <ed@fxq.nl>
  
  Revision  Changes    Path
  1.2       +37 -0     ports/devel/xxgdb/files/patch-ac
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"